NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.CAE.Optimization.TBSCastCondition Class Reference

Represents the manufacturing restrictions of NXOpen.CAE.Optimization.TBSTopologyRestrictArea More...

Inheritance diagram for NXOpen.CAE.Optimization.TBSCastCondition:
NXOpen.TaggedObject NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  MiddlePlaneType {
  None, Automatic, AutomaticTight, Point,
  Surface, Stamp
}
 Defines the middle plane type More...
 

Properties

unsafe
NXOpen.CAE.Optimization.TBSGroupDefinition 
CheckingGroup [get]
 Returns the element group that is used for checking collision of the removed elements More...
 
unsafe NXOpen.Expression DraftAngle [get]
 Returns the draft angle More...
 
unsafe
NXOpen.CAE.Optimization.TBSCastCondition.MiddlePlaneType 
MiddlePlane [get, set]
 Returns or sets the middle plane More...
 
unsafe NXOpen.Point MiddlePlanePoint [get, set]
 Returns or sets the point within the central plane, only available when NXOpen.CAE.Optimization.TBSCastCondition.MiddlePlaneType is CAE.Optimization.TBSCastCondition.MiddlePlaneType.Point More...
 
unsafe NXOpen.CoordinateSystem PullCoordinateSystem [get, set]
 Returns or sets the coordinate system for the definition of the pull direction More...
 
unsafe NXOpen.Direction PullDirection [get, set]
 Returns or sets the pull direction for the element groups in the form of a vector with global coordinate system More...
 
unsafe NXOpen.Expression Radius [get]
 Returns the radius value that is used internaly for the collision check during the removal of the elements More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents the manufacturing restrictions of NXOpen.CAE.Optimization.TBSTopologyRestrictArea

Created in NX8.0.0

Member Enumeration Documentation

Defines the middle plane type

Enumerator
None 

No definition of a central plane

Automatic 

Automatica determinaton of the central plane

AutomaticTight 

No holes are generated in the central plane

Point 

A point within the central plane from which the deformation vector is positioned perpendicular to

Surface 

The elements are demolded at the actual surface of the restrict area

Stamp 

The element group is demolded keeping a stampable structure

Property Documentation

unsafe NXOpen.CAE.Optimization.TBSGroupDefinition NXOpen.CAE.Optimization.TBSCastCondition.CheckingGroup
get

Returns the element group that is used for checking collision of the removed elements

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.CAE.Optimization.TBSCastCondition.DraftAngle
get

Returns the draft angle

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.CAE.Optimization.TBSCastCondition.MiddlePlaneType NXOpen.CAE.Optimization.TBSCastCondition.MiddlePlane
getset

Returns or sets the middle plane

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: cae_opt_topo ("NX Topology Optimization") OR cae_opt_topobead ("NX Bead Optimization") OR cae_opt_toposhape ("NX Shape Optimization")

unsafe NXOpen.Point NXOpen.CAE.Optimization.TBSCastCondition.MiddlePlanePoint
getset

Returns or sets the point within the central plane, only available when NXOpen.CAE.Optimization.TBSCastCondition.MiddlePlaneType is CAE.Optimization.TBSCastCondition.MiddlePlaneType.Point

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: cae_opt_topo ("NX Topology Optimization") OR cae_opt_topobead ("NX Bead Optimization") OR cae_opt_toposhape ("NX Shape Optimization")

unsafe NXOpen.CoordinateSystem NXOpen.CAE.Optimization.TBSCastCondition.PullCoordinateSystem
getset

Returns or sets the coordinate system for the definition of the pull direction

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: cae_opt_topo ("NX Topology Optimization") OR cae_opt_topobead ("NX Bead Optimization") OR cae_opt_toposhape ("NX Shape Optimization")

unsafe NXOpen.Direction NXOpen.CAE.Optimization.TBSCastCondition.PullDirection
getset

Returns or sets the pull direction for the element groups in the form of a vector with global coordinate system

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: cae_opt_topo ("NX Topology Optimization") OR cae_opt_topobead ("NX Bead Optimization") OR cae_opt_toposhape ("NX Shape Optimization")

unsafe NXOpen.Expression NXOpen.CAE.Optimization.TBSCastCondition.Radius
get

Returns the radius value that is used internaly for the collision check during the removal of the elements

Created in NX8.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.